Package org.eclipse.rdf4j.benchmark.jmh_generated

## Class ReasoningBenchmark_noReasoningMultipleTransactions_jmhTest

- java.lang.Object
- - org.eclipse.rdf4j.benchmark.jmh_generated.ReasoningBenchmark_noReasoningMultipleTransactions_jmhTest

-     public final class ReasoningBenchmark_noReasoningMultipleTransactions_jmhTest
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ReasoningBenchmark_noReasoningMultipleTransactions_jmhTest()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.openjdk.jmh.results.BenchmarkTaskResult` | `noReasoningMultipleTransactions_AverageTime​(org.openjdk.jmh.runner.InfraControl control, org.openjdk.jmh.infra.ThreadParams threadParams)` |
    `static void` | `noReasoningMultipleTransactions_avgt_jmhStub​(org.openjdk.jmh.runner.InfraControl control, org.openjdk.jmh.results.RawResults result, org.openjdk.jmh.infra.BenchmarkParams benchmarkParams, org.openjdk.jmh.infra.IterationParams iterationParams, org.openjdk.jmh.infra.ThreadParams threadParams, org.openjdk.jmh.infra.Blackhole blackhole, org.openjdk.jmh.infra.Control notifyControl, int startRndMask, ReasoningBenchmark_jmhType l_reasoningbenchmark0_0)` |
    `static void` | `noReasoningMultipleTransactions_sample_jmhStub​(org.openjdk.jmh.runner.InfraControl control, org.openjdk.jmh.results.RawResults result, org.openjdk.jmh.infra.BenchmarkParams benchmarkParams, org.openjdk.jmh.infra.IterationParams iterationParams, org.openjdk.jmh.infra.ThreadParams threadParams, org.openjdk.jmh.infra.Blackhole blackhole, org.openjdk.jmh.infra.Control notifyControl, int startRndMask, org.openjdk.jmh.util.SampleBuffer buffer, int targetSamples, long opsPerInv, int batchSize, ReasoningBenchmark_jmhType l_reasoningbenchmark0_0)` |
    `org.openjdk.jmh.results.BenchmarkTaskResult` | `noReasoningMultipleTransactions_SampleTime​(org.openjdk.jmh.runner.InfraControl control, org.openjdk.jmh.infra.ThreadParams threadParams)` |
    `org.openjdk.jmh.results.BenchmarkTaskResult` | `noReasoningMultipleTransactions_SingleShotTime​(org.openjdk.jmh.runner.InfraControl control, org.openjdk.jmh.infra.ThreadParams threadParams)` |
    `static void` | `noReasoningMultipleTransactions_ss_jmhStub​(org.openjdk.jmh.runner.InfraControl control, org.openjdk.jmh.results.RawResults result, org.openjdk.jmh.infra.BenchmarkParams benchmarkParams, org.openjdk.jmh.infra.IterationParams iterationParams, org.openjdk.jmh.infra.ThreadParams threadParams, org.openjdk.jmh.infra.Blackhole blackhole, org.openjdk.jmh.infra.Control notifyControl, int startRndMask, int batchSize, ReasoningBenchmark_jmhType l_reasoningbenchmark0_0)` |
    `org.openjdk.jmh.results.BenchmarkTaskResult` | `noReasoningMultipleTransactions_Throughput​(org.openjdk.jmh.runner.InfraControl control, org.openjdk.jmh.infra.ThreadParams threadParams)` |
    `static void` | `noReasoningMultipleTransactions_thrpt_jmhStub​(org.openjdk.jmh.runner.InfraControl control, org.openjdk.jmh.results.RawResults result, org.openjdk.jmh.infra.BenchmarkParams benchmarkParams, org.openjdk.jmh.infra.IterationParams iterationParams, org.openjdk.jmh.infra.ThreadParams threadParams, org.openjdk.jmh.infra.Blackhole blackhole, org.openjdk.jmh.infra.Control notifyControl, int startRndMask, ReasoningBenchmark_jmhType l_reasoningbenchmark0_0)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ReasoningBenchmark_noReasoningMultipleTransactions_jmhTest

          public ReasoningBenchmark_noReasoningMultipleTransactions_jmhTest()

  - ### Method Detail

    - #### noReasoningMultipleTransactions_Throughput

          public org.openjdk.jmh.results.BenchmarkTaskResult noReasoningMultipleTransactions_Throughput​(org.openjdk.jmh.runner.InfraControl control,
                                                                                                        org.openjdk.jmh.infra.ThreadParams threadParams)
                                                                                                 throws Throwable

      Throws:
        `Throwable`

    - #### noReasoningMultipleTransactions_thrpt_jmhStub

          public static void noReasoningMultipleTransactions_thrpt_jmhStub​(org.openjdk.jmh.runner.InfraControl control,
                                                                           org.openjdk.jmh.results.RawResults result,
                                                                           org.openjdk.jmh.infra.BenchmarkParams benchmarkParams,
                                                                           org.openjdk.jmh.infra.IterationParams iterationParams,
                                                                           org.openjdk.jmh.infra.ThreadParams threadParams,
                                                                           org.openjdk.jmh.infra.Blackhole blackhole,
                                                                           org.openjdk.jmh.infra.Control notifyControl,
                                                                           int startRndMask,
                                                                           ReasoningBenchmark_jmhType l_reasoningbenchmark0_0)
                                                                    throws Throwable

      Throws:
        `Throwable`

    - #### noReasoningMultipleTransactions_AverageTime

          public org.openjdk.jmh.results.BenchmarkTaskResult noReasoningMultipleTransactions_AverageTime​(org.openjdk.jmh.runner.InfraControl control,
                                                                                                         org.openjdk.jmh.infra.ThreadParams threadParams)
                                                                                                  throws Throwable

      Throws:
        `Throwable`

    - #### noReasoningMultipleTransactions_avgt_jmhStub

          public static void noReasoningMultipleTransactions_avgt_jmhStub​(org.openjdk.jmh.runner.InfraControl control,
                                                                          org.openjdk.jmh.results.RawResults result,
                                                                          org.openjdk.jmh.infra.BenchmarkParams benchmarkParams,
                                                                          org.openjdk.jmh.infra.IterationParams iterationParams,
                                                                          org.openjdk.jmh.infra.ThreadParams threadParams,
                                                                          org.openjdk.jmh.infra.Blackhole blackhole,
                                                                          org.openjdk.jmh.infra.Control notifyControl,
                                                                          int startRndMask,
                                                                          ReasoningBenchmark_jmhType l_reasoningbenchmark0_0)
                                                                   throws Throwable

      Throws:
        `Throwable`

    - #### noReasoningMultipleTransactions_SampleTime

          public org.openjdk.jmh.results.BenchmarkTaskResult noReasoningMultipleTransactions_SampleTime​(org.openjdk.jmh.runner.InfraControl control,
                                                                                                        org.openjdk.jmh.infra.ThreadParams threadParams)
                                                                                                 throws Throwable

      Throws:
        `Throwable`

    - #### noReasoningMultipleTransactions_sample_jmhStub

          public static void noReasoningMultipleTransactions_sample_jmhStub​(org.openjdk.jmh.runner.InfraControl control,
                                                                            org.openjdk.jmh.results.RawResults result,
                                                                            org.openjdk.jmh.infra.BenchmarkParams benchmarkParams,
                                                                            org.openjdk.jmh.infra.IterationParams iterationParams,
                                                                            org.openjdk.jmh.infra.ThreadParams threadParams,
                                                                            org.openjdk.jmh.infra.Blackhole blackhole,
                                                                            org.openjdk.jmh.infra.Control notifyControl,
                                                                            int startRndMask,
                                                                            org.openjdk.jmh.util.SampleBuffer buffer,
                                                                            int targetSamples,
                                                                            long opsPerInv,
                                                                            int batchSize,
                                                                            ReasoningBenchmark_jmhType l_reasoningbenchmark0_0)
                                                                     throws Throwable

      Throws:
        `Throwable`

    - #### noReasoningMultipleTransactions_SingleShotTime

          public org.openjdk.jmh.results.BenchmarkTaskResult noReasoningMultipleTransactions_SingleShotTime​(org.openjdk.jmh.runner.InfraControl control,
                                                                                                            org.openjdk.jmh.infra.ThreadParams threadParams)
                                                                                                     throws Throwable

      Throws:
        `Throwable`

    - #### noReasoningMultipleTransactions_ss_jmhStub

          public static void noReasoningMultipleTransactions_ss_jmhStub​(org.openjdk.jmh.runner.InfraControl control,
                                                                        org.openjdk.jmh.results.RawResults result,
                                                                        org.openjdk.jmh.infra.BenchmarkParams benchmarkParams,
                                                                        org.openjdk.jmh.infra.IterationParams iterationParams,
                                                                        org.openjdk.jmh.infra.ThreadParams threadParams,
                                                                        org.openjdk.jmh.infra.Blackhole blackhole,
                                                                        org.openjdk.jmh.infra.Control notifyControl,
                                                                        int startRndMask,
                                                                        int batchSize,
                                                                        ReasoningBenchmark_jmhType l_reasoningbenchmark0_0)
                                                                 throws Throwable

      Throws:
        `Throwable`